File bugzilla-141756-workaround.patch of Package ddskk

--- ddskk-14.4/SKK-MK
+++ ddskk-14.4/SKK-MK	2012-07-04 11:57:27.140510120 +0000
@@ -44,7 +44,13 @@ Please install Daredevil SKK 13.1 or 14.
   (error "%s" "\
 This version of SKK requires MULE features"))
 
-(set-language-environment "Japanese")
+(if (and (featurep 'xemacs)
+	 (emacs-version>= 21 5 6)
+	(getenv "LANG"))
+    (let ((old-lang (getenv "LANG")))
+      (set-language-environment "Japanese")
+      (setenv "LANG" old-lang))
+  (set-language-environment "Japanese"))
 
 ;; Variables.
openSUSE Build Service is sponsored by